#
# spec file for package octave-forge-struct
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  struct
Name:           octave-forge-%{octpkg}
Version:        1.0.15
Release:        bp153.1.23
Summary:        Additional Structure manipulations functions for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM - Fix building with current octave
Patch0:         release-current-tip.diff
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 2.9.7

%description
Additional Structure manipulations functions.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
pushd %{octpkg}-%{version}
%patch0 -p1
cd src && ./bootstrap
popd
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Mar  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add changes from current tip, to fix building with Octave 5.1:
  release-current-tip.diff
* Wed Jun  6 2018 badshah400@gmail.com
- Update to version 1.0.15:
  * Octave 4.4 compatibility.
* Thu Nov 24 2016 dmitry_r@opensuse.org
- Update to version 1.0.14
  * Bugfix release
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 1.0.13
  * Bugfix release
* Sun Mar  8 2015 dmitry_r@opensuse.org
- Update to version 1.0.11
  * Compatible with Octave 4.0.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.0.10
